Subject: bug#32173: 26.1; wdired: broken 'wdired-use-interactive-rename'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Jul 2018 15:06:19 +0300

> From: Stephen Berman <[email-masked]>
> Cc: Enrico Scholz <[email-masked]>,  [email-masked]
> Date: Sat, 21 Jul 2018 12:48:57 +0200
> 
> AFAICT this patch avoids the bug and is simpler than the fix I proposed
> (https://lists.gnu.org/archive/html/bug-gnu-emacs/2018-07/msg00602.html).
> But with the above patch, if the user types C-g when prompted to make
> the replacement, the file name is left partly or wholely without the
> dired-filename text property.  I'm not sure if that's a problem, that's
> why in my patch I restored the property.  I note the current buggy code
> has the same issue.

Right.  But I think we had better did this more thoroughly, so I think
your solution (which I somehow managed to miss) is better.  Please
wait for a few days and push to emacs-26 if no problems are reported
with your patch.

Thanks.